MsWksSSParserInternal::Spreadsheet Class Reference documentation

MsWksSSParserInternal::Spreadsheet Class Reference

the spreadsheet of a of a MsWksSSParser More...

## Public Member Functions
| Spreadsheet ()
| constructor
std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize) const
| convert the m_widthCols in a vector of of point size

## Public Attributes
MWAWFont | m_font
| the default font
std::vector< int > | m_widthCols
| the column size in pixels(?)
std::vector< Cell > | m_cells
| the list of not empty cells
std::vector< int > | m_listPageBreaks
| the list of page break
std::map< int, MWAWEntry > | m_idNoteMap
| a map id->note content
std::string | m_name
| the spreadsheet name

## Protected Member Functions
MWAWVec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position

## Detailed Description

the spreadsheet of a of a MsWksSSParser

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

MsWksSSParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ convertInPoint()

std::vector< float > MsWksSSParserInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize ) const
| inline

convert the m_widthCols in a vector of of point size

## ◆ getRightBottomPosition()

MWAWVec2i MsWksSSParserInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const
| inlineprotected

returns the last Right Bottom cell position

Referenced by convertInPoint().

## Member Data Documentation

## ◆ m_cells

std::vector<Cell> MsWksSSParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by getRightBottomPosition(), and Spreadsheet().

## ◆ m_font

MWAWFont MsWksSSParserInternal::Spreadsheet::m_font

the default font

Referenced by Spreadsheet().

## ◆ m_idNoteMap

std::map<int,MWAWEntry> MsWksSSParserInternal::Spreadsheet::m_idNoteMap

a map id->note content

Referenced by Spreadsheet().

## ◆ m_listPageBreaks

std::vector<int> MsWksSSParserInternal::Spreadsheet::m_listPageBreaks

the list of page break

Referenced by Spreadsheet().

## ◆ m_name

std::string MsWksSSParserInternal::Spreadsheet::m_name

the spreadsheet name

Referenced by Spreadsheet().

## ◆ m_widthCols

std::vector<int> MsWksSSParserInternal::Spreadsheet::m_widthCols

the column size in pixels(?)

Referenced by Spreadsheet().

The documentation for this class was generated from the following file:

- MsWksSSParser.cxx